#
# Source file, designed to be sourced from the Grafical Server when a
# confdesi is connecting to.
# created    : 06/05/1997
# last modif : 07/05/1997
# PhM
#

#-----------------------------------------------------------
# This is just a test procedure, which returns the value
# of a global variable.
#
proc desi_get_info_test { var } {
global $var
desi_Send [set $var]
}

#-----------------------------------------------------------
# Send is a routine to send a value thru the client socket
#
proc desi_Send { str } {
global fglWtkClient
global dpyChannel

if { $fglWtkClient } {
	catch { $dpyChannel puts  $str }
} else	{
	puts stdout "$dpyChannel $str"
	flush stdout
	}
}

#-----------------------------------------------------------
# info_tcpip_id
#
proc desi_info_socket_id { } {
global dpyChannel

desi_Send $dpyChannel
return $dpyChannel
}

#-----------------------------------------------------------
# info_resource's goal is to send the value of an attribute,
# for ex the background of entry is given by calling :
#      % info_resource entry bg
#
proc desi_info_resource { obj attr } {
set val "none"
set msg "none"
set ret 0

set ret [catch {$obj .o} msg]
if {$ret != 0} {
  desi_Send "desi_error"
  return "desi_error"
  }

set ret [catch {set val [lindex [.o config -$attr] 4]} msg]
if {$ret != 0} {
  desi_Send "desi_error"
  return "desi_error"
  }
destroy .o

desi_Send $val
return $val
}

